Batch content policy operations
POST/accounts/{account_id}/email-security/settings/content_policies/batch
Executes multiple operations atomically. All four operation arrays (deletes, patches, puts, posts) are required and executed in order. Send empty arrays for unused operations.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Batch content policy operations
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/content_policies/batch \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{}
],
"posts": [
{
"enabled": true,
"name": "Block phishing keywords",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
],
"puts": [
{
"enabled": true,
"name": "Block phishing keywords",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
]
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
],
"posts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
],
"puts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
],
"posts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
],
"puts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"enabled": true,
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "Block phishing keywords",
"notes": "Blocks common phishing subject lines",
"pattern": "urgent.*verify.*account",
"targets": [
"SUBJECT"
]
}
]
}
}